Subject: [bug#63071] [PATCH] gnu: Add emacs-riscv-mode

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 25 Apr 2023 21:07:22 +0200

On Tue, 2023-04-25 at 20:27 +0200, Gabriel Wicki wrote:
> On Tue, Apr 25, 2023 at 08:21:11PM +0200, Liliana Marie Prikler
> wrote:
> > No need to let-bind url and version, please use their values in the
> > right locations below.
> I thought I'd bind them since the values were used multiple times.
> 
> Anyhow, I've corrected the patch.  Thank you for that super-quick
> reply!
> 
> 
> From ed779ffef71167d18256a21dbcab99d27c3a5176 Mon Sep 17 00:00:00
> 2001
> Message-Id:
> <ed779ffef71167d18256a21dbcab99d27c3a5176.1682447183.git.gabriel@erli
> kon.ch>
> From: Gabriel Wicki <[email-masked]>
> Date: Tue, 25 Apr 2023 17:48:41 +0200
> Subject: [PATCH] gnu: Add emacs-riscv-mode.
> 
> * gnu/packages/emacs-xyz.scm (emacs-riscv-mode): New variable.
> ---
>  gnu/packages/emacs-xyz.scm | 24 ++++++++++++++++++++++++
>  1 file changed, 24 insertions(+)
> 
> diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
> index 7c8af093fc..33c745d029 100644
> --- a/gnu/packages/emacs-xyz.scm
> +++ b/gnu/packages/emacs-xyz.scm
> @@ -35854,6 +35854,30 @@ (define-public emacs-nasm-mode
>  Unlike Emacs' generic ASM mode, it understands NASM-specific
> syntax.")
>      (license license:unlicense)))
>  
> +(define-public emacs-riscv-mode
> +  (let ((commit "8e335b9c93de93ed8dd063d702b0f5ad48eef6d7")
> +        (revision "1"))
> +    (package
> +      (name "emacs-riscv-mode")
> +      (version (git-version "0" revision commit))
> +      (source (origin
> +                (method git-fetch)
> +                (uri (git-reference
> +                      (url
> "https://github.com/AdamNiederer/riscv-mode")
> +                      (commit commit)))
> +                (file-name (git-file-name name "0"))
Use "version" here.  It won't refer to "0", but instead to the expanded
(git-version ...) -- it's basically syntactic sugar for (package-
version this-package).
> +                (sha256
> +                 (base32
> +                 
> "06jlf84mx49scw3zm1wjj25zinr2yr9abiyh83rli78wb1hdc0l4"))))
> +      (build-system emacs-build-system)
> +      (home-page "https://github.com/AdamNiederer/riscv-mode")
> +      (synopsis "Emacs major mode for RISC-V assembly")
> +      (description
> +       "RISC-V mode is a major mode for editing RISC-V assembly
> programs.
> +It includes syntax highlighting, syntactic indentation and code
> evaluation
> +with spike.")
> +      (license license:gpl3))))
License should be gpl3+ going by the README.

Cheers